<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:32 UTC 2019 -->
<title>MatchedGeoPosition (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MatchedGeoPosition (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MatchedGeoPosition.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/MapSettings.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/MatchedGeoPosition.html" target="_top">Frames</a></li>
<li><a href="MatchedGeoPosition.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.common.GeoPosition">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.common</div>
<h2 title="Class MatchedGeoPosition" class="title">Class MatchedGeoPosition</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">com.here.android.mpa.common.GeoPosition</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.common.MatchedGeoPosition</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MatchedGeoPosition</span>
extends <a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a></pre>
<div class="block">An extended <code>GeoPosition</code> class which provides additional
 position-related information. The class is designed to support walk or drive
 navigation.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/PositioningManager.OnPositionChangedListener.html#onPositionUpdated-com.here.android.mpa.common.PositioningManager.LocationMethod-com.here.android.mpa.common.GeoPosition-boolean-"><code>PositioningManager.OnPositionChangedListener.onPositionUpdated(PositioningManager.LocationMethod,
      GeoPosition, boolean)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.common.GeoPosition">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_CACHE">SOURCE_CACHE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_FUSION">SOURCE_FUSION</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_HARDWARE">SOURCE_HARDWARE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_INDOOR">SOURCE_INDOOR</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_NONE">SOURCE_NONE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_OFFLINE">SOURCE_OFFLINE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#SOURCE_ONLINE">SOURCE_ONLINE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_BLE">TECHNOLOGY_BLE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_CELL">TECHNOLOGY_CELL</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_GNSS">TECHNOLOGY_GNSS</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_NONE">TECHNOLOGY_NONE</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_SENSORS">TECHNOLOGY_SENSORS</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#TECHNOLOGY_WIFI">TECHNOLOGY_WIFI</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#UNKNOWN">UNKNOWN</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html#getMatchQuality--">getMatchQuality</a></span>()</code>
<div class="block">Returns a value indicating the quality of the given map-matched position object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html#getRawPosition--">getRawPosition</a></span>()</code>
<div class="block">Obtains the raw position from which the given map-matched
 position was generated.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common">RoadElement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html#getRoadElement--">getRoadElement</a></span>()</code>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common"><code>RoadElement</code></a> at this matched position.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html#isExtrapolated--">isExtrapolated</a></span>()</code>
<div class="block">Determines if this matched position is extrapolated.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html#isOnStreet--">isOnStreet</a></span>()</code>
<div class="block">Determines if this map-matched position matches to a street.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.common.GeoPosition">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/GeoPosition.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getAltitudeAccuracy--">getAltitudeAccuracy</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getBuildingId--">getBuildingId</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getBuildingName--">getBuildingName</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getCoordinate--">getCoordinate</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getFloorId--">getFloorId</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getHeading--">getHeading</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getLatitudeAccuracy--">getLatitudeAccuracy</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getLongitudeAccuracy--">getLongitudeAccuracy</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getPositionSource--">getPositionSource</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getPositionTechnology--">getPositionTechnology</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getSpeed--">getSpeed</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#getTimestamp--">getTimestamp</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#hashCode--">hashCode</a>, <a href="../../../../../com/here/android/mpa/common/GeoPosition.html#isValid--">isValid</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isExtrapolated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExtrapolated</h4>
<pre>public boolean isExtrapolated()</pre>
<div class="block">Determines if this matched position is extrapolated.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the position is extrapolated, otherwise
         <code>false</code></dd>
</dl>
</li>
</ul>
<a name="isOnStreet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOnStreet</h4>
<pre>public boolean isOnStreet()</pre>
<div class="block">Determines if this map-matched position matches to a street.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the position is mapped to a street, otherwise
        <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="getMatchQuality--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatchQuality</h4>
<pre>public int getMatchQuality()</pre>
<div class="block">Returns a value indicating the quality of the given map-matched position object.
 This value is only valid for use during pedestrian navigation.
 In addition, a change in match quality will trigger a callback to
 <a href="../../../../../com/here/android/mpa/common/PositioningManager.OnPositionChangedListener.html#onPositionUpdated-com.here.android.mpa.common.PositioningManager.LocationMethod-com.here.android.mpa.common.GeoPosition-boolean-"><code>PositioningManager.OnPositionChangedListener.onPositionUpdated(
 PositioningManager.LocationMethod, GeoPosition, boolean)</code></a> even though the matched
 position stayed the same.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An integer in the range of [0,7], where 0 indicates a poor match
        and 7 a good match.</dd>
</dl>
</li>
</ul>
<a name="getRoadElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoadElement</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common">RoadElement</a> getRoadElement()</pre>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common"><code>RoadElement</code></a> at this matched position.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An object representing the road element at this map-matched position.</dd>
</dl>
</li>
</ul>
<a name="getRawPosition--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRawPosition</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a> getRawPosition()</pre>
<div class="block">Obtains the raw position from which the given map-matched
 position was generated.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common"><code>GeoPosition</code></a> representing the raw position.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MatchedGeoPosition.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/MapSettings.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/MatchedGeoPosition.html" target="_top">Frames</a></li>
<li><a href="MatchedGeoPosition.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.common.GeoPosition">Field</a> | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
